[package]
name = "thisper"
version = "0.1.0"
description = "A Tauri App"
authors = ["stan44"]
edition = "2024"
license = "MIT OR Apache-2.0"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
# The `_lib` suffix may seem redundant but it is necessary
# to make the lib name unique and wouldn't conflict with the bin name.
# This seems to be only an issue on Windows, see https://github.com/rust-lang/cargo/issues/8519
name = "thisper_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
tauri = { version = "2", features = ["tray-icon"] }
serde = { version = "1", features = ["derive"] }
serde_json = "1"
async-trait = "0.1"
reqwest = { version = "0.12", features = ["json", "stream"] }
tauri-plugin-global-shortcut = "2.3.1"
tauri-plugin-clipboard-manager = "2.3.2"
tauri-plugin-single-instance = "2.4.0"
enigo = "0.1.2"
futures-util = "0.3.32"
keyring = "3.6.3"
regex = "1"

[target.'cfg(target_os = "windows")'.dependencies]
windows-dpapi = "0.2.0"

[profile.release]
panic = "abort"
opt-level = "s"
